------------------------------------------------------------------------------------
--Name:  	juqing1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-31
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(250, 367)
local Player_2 = CppScriptMgr:AddSimplePlayer(1060382, 250, 367, "", 0, 0)
Player_2:SetArmor(199245, 0, 1)
Player_2:SetHair(102, 1)
Player_2:SetDir(7)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Young man, the moment you are qualified to succeed the priest, your master is destined to sacrifice for you. This... is the curse of the priesthood.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "MysteriousPower", 250, 655, false)
CppScriptMgr:WaitMilSec(3000)
Player_2:Say("I don`t believe it! Are you not all-powerful?", 1500)
Player_2:SetAction(160)
CppScriptMgr:WaitMilSec(1480)
Player_2:SetAction(190)
Player_2:Say("I am willing to trade my soul, as long as she can live!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_2:Say("Even if I become the ugliest monster in the world, I will not hesitate!", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Don`t worry, I won`t make you the ugliest monster. On the contrary, I will make you the most powerful priest in this world!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "MysteriousPower", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("When the Cloud Island is shrouded in darkness, it will be the day the priest`s curse is lifted. Your lover will also be resurrected!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "MysteriousPower", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Young man, I hope you won`t regret it.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "MysteriousPower", 250, 655, false)
CppScriptMgr:WaitMilSec(1980)
CppScriptMgr:ShakeScrEffect(5)
Player_2:Say("Ahhhhhh!", 1500)
local Effect_1 = CppScriptMgr:AddEffect("CSGX_zi", 250, 367, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 250, 367, 33, 1, 1, 1)
Player_2:SetAction(160)
CppScriptMgr:WaitMilSec(1080)
local effect_1 = CppScriptMgr:AddEffect("zf2-e233", 250, 367, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(390)
local Effect_2 = CppScriptMgr:AddEffect("taoist-huohuan", 250, 367, 33, 1, 1, 1)
Effect_2:Scale(2, 2, 2)
local Player_1 = CppScriptMgr:AddPlayer(191, 250, 367, "", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(5)
CppScriptMgr:WaitMilSec(230)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(170)
ChangeNpcZoom(Player_1, 5, 100, 10, 33)
CppScriptMgr:WaitMilSec(2600)